<%@ page title="" language="VB" masterpagefile="~/Template/Master.master" autoeventwireup="false" inherits="RCC_Voice_SIPGroupActions, MachSol.MachPanel.Web" %>

<asp:Content ID="Content5" ContentPlaceHolderID="CPH_Content" runat="Server">
    <script type="module">

        import { createApp } from 'vue'
        import GroupActions from '/Components/Network/GroupActions.js?v=3.4'        
        import { getLabelText } from '/Components/Common/utils.js?v=3.4'

        createApp({
            data() {
                return {
                    readOnly: <%= Helper.ReadOnlyRole %>,  
                    isLoggedInAsCustomer: <%= Helper.IsLoggedInAsCustomer.ToString().ToLower() %>,
                    isLoggedInAsReseller: <%= Helper.IsLoggedInAsReseller.ToString().ToLower() %>,
                    customerId: '<%= IIF(Helper.IsLoggedInAsCustomer, Session("CustomerId"), 0) %>',
                    companyId: '<%= Session("CompanyId") %>',
                    sortPreference: <%= Newtonsoft.Json.JsonConvert.SerializeObject(InitialSortPreference) %>,                      
                    isSubReseller: <%= Helper.IsSubReseller.ToString().ToLower() %>,
                    runGroupJob: <%= Helper.CustomerAccessTemplates.RunGroupJob.ToString().ToLower() %>,
                    packageTypeId: '24'
                }
            },
            methods: {
                getLabelText,
            },
            components: {             
                GroupActions 
            },
            template: `

<GroupActions :sortPreference="sortPreference" :readOnly="readOnly" :isSubReseller="isSubReseller"
    :isLoggedInAsCustomer="isLoggedInAsCustomer" :isLoggedInAsReseller="isLoggedInAsReseller" :customerId="customerId" :packageTypeId="packageTypeId"
    :companyId="companyId" :runGroupJob="runGroupJob" />
                 
`
        }).mount('#app')

    </script>

    <div id="app">
    </div>
</asp:Content>
